Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalComboBoxIcon

    java.lang.Object
      |
      +--javax.swing.plaf.metal.MetalComboBoxIcon

All Implemented Interfaces:
  Icon, Serializable

public class MetalComboBoxIcon
extends Object
implements Icon, Serializable

This utility class draws the horizontal bars which indicate a MetalComboBox

See Also:
  `MetalComboBoxUI`, Serialized Form

Constructor Summary
`MetalComboBoxIcon()`

Method Summary
`int` | `getIconHeight()` stubbed to statify the interface.
`int` | `getIconWidth()` stubbed to statify the interface.
`void` | `paintIcon(Component c, Graphics g, int x, int y)` Paints the horizontal bars for the

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetalComboBoxIcon

    public MetalComboBoxIcon()

Method Detail

### paintIcon

    public void paintIcon(Component c,
                          Graphics g,
                          int x,
                          int y)

  Paints the horizontal bars for the
  Specified by:
    `paintIcon` in interface `Icon`

### getIconWidth

    public int getIconWidth()

  stubbed to statify the interface.
  Specified by:
    `getIconWidth` in interface `Icon`
  Following copied from interface: `javax.swing.Icon`
  Returns:
    an int specifying the fixed width of the icon.

### getIconHeight

    public int getIconHeight()

  stubbed to statify the interface.
  Specified by:
    `getIconHeight` in interface `Icon`
  Following copied from interface: `javax.swing.Icon`
  Returns:
    an int specifying the fixed height of the icon.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.